<?php 
//    Copyright 2010 Andrii Salnikov
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
//

ini_set("include_path", "./conf:./lang:./modules");

error_reporting(E_ALL); ini_set("display_errors", 1);
require("config.inc");
require("langdetect.php");

$vo = ( isset($argv[1]) ) ? $argv[1] : 0;
$isfailed = 1;
if ( $vo !== 0 ) {
        $conffile = $pva_install_path . "/conf/vomses/" . $vo . ".conf";
        if ( is_readable($conffile) ) {
                include($conffile);
                require("sql.php");
                getSettingFromDB();
                $isfailed = 0;
        }
}

if ( ! $isfailed ) transactional_update ();
?>
